Doomsday Engine - Bug #2178

Packages do not load at runtime from Ul sidebar
2016-09-06 05:38 - Drako

Status: Closed Start date: 2016-09-06
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version:

Description

build 2072

| ran Doom2 with no packages. Then | use the Ul menu "Packages..." to load the hires package. The package seems to be loaded
since there is option in the Ul to "Unload" it. Then | start a new game and | clearly see that the package is not used. | check the
"Packages..." option in the Ul and it still allows me to "Unload" the package,

The package works fine when | load it from the home Ul before the game is loaded.

| attach the doomsday.out file.

Associated revisions

Revision 69e481bd - 2016-10-26 22:35 - skyjake

Resources|FS|libdoomsday: Loading data files via packages; added "defsPath"
When a package is loaded, the corresponding FS1 data file is loaded

by libdoomsday's Resources class. The res::DoomsdayPackage utility
provides the URI for loading.

Packages may now specify a "defsPath" in their metadata. This is

assumed to contain DED files that will automatically be loaded when
definitions are read.

IssuelD #2178

History

#1 - 2016-09-06 08:46 - skyjake

| ran Doom2 with no packages. Then | use the Ul menu "Packages..." to load the hires package.
After you've clicked "Load" on the package, have you tried manually entering a "reset" command in the console? That should cause the high-res
textures to be loaded.

| believe the Packages sidebar currently does not cause the engine to actually refresh the resources, it just marks the package as loaded or
unloaded.

#2 - 2016-09-06 08:46 - skyjake
- Category changed from Defect to User experience

- Target version set to 49

#3 - 2016-09-06 08:48 - skyjake

- Subject changed from Packages do not load t runtime from Ul menu to Packages do not load at runtime from Ul sidebar

#4 - 2016-09-07 04:43 - Drako
skyjake wrote:
After you've clicked "Load" on the package, have you tried manually entering a "reset" command in the console? That should cause the high-res

textures to be loaded.

No, "reset" did not help.
#5 - 2016-10-26 22:29 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#6 - 2016-10-26 22:30 - skyjake

- Assignee set to skyjake

#7 - 2016-11-02 08:32 - skyjake

- Status changed from Resolved to Closed

#8 - 2017-02-25 12:02 - skyjake
- Target version deleted (49)
